All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
execute_scalar_assign.hpp File Reference

Deals with the execution of x = RHS; for a vector x and any compatible right hand side expression RHS. More...

`#include "viennacl/forwards.h"`
`#include "viennacl/scheduler/forwards.h"`
`#include "viennacl/scheduler/execute_vector_dispatcher.hpp"`
`#include "viennacl/scheduler/execute_util.hpp"`

Go to the source code of this file.

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::scheduler
| Contains the scheduling functionality which allows for dynamic kernel generation as well as the fusion of multiple statements into a single kernel.

## Functions

void | viennacl::scheduler::execute_scalar_assign_composite (statement const &s, statement_node const &root_node)
| Deals with x = RHS where RHS is a vector expression. More...

## Detailed Description

Deals with the execution of x = RHS; for a vector x and any compatible right hand side expression RHS.

Definition in file execute_scalar_assign.hpp.